/**
 * Copyright (c) 2013-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */

package org.ow2.petals.registry_overlay.exception;

/**
 * The URL of the cluster configuration resource is invalid
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class InvalidClusterCfgURLException extends PetalsRegistryOverlayException {

    private static final long serialVersionUID = -6146851312240881059L;

    /**
     * The invalid URL of the cluster configuration resource.
     */
    private final String clusterCfgFileStr;

    public InvalidClusterCfgURLException(final String clusterCfgFileStr, final Throwable throwable) {
        super(
                "The URL [" + clusterCfgFileStr
                        + "] of the cluster configuration resource is invalid !!", throwable);
        this.clusterCfgFileStr = clusterCfgFileStr;
    }

    /**
     * @return The invalid URL of the cluster configuration resource.
     */
    public String getLogCfgFileStr() {
        return this.clusterCfgFileStr;
    }

}
