/**
 * Copyright (c) 2013-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.registry_overlay.util;

import java.util.logging.LogManager;

/**
 * A {@link LogManager} specialized to be able to log trace into shutdown hook.
 * Instead of closing loggers inside a shutdown hook, they are closed on
 * deallocation of the {@link LogManager}.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class PetalsLogManager extends LogManager {

    public PetalsLogManager() {
        // The constructor of the inherited LogManager is not invoked to not
        // register the shutdown hook.
    }

    @Override
    protected void finalize() throws Throwable {
        this.reset();
        super.finalize();
    }

}
